void setup() {
  
  // Start up Minim & the music object
  minim = new Minim(this);
  music = new Sounder();

  // Create a list of answers for the fairy's riddle and then mix it up.
  riddleGuesses = new StringList();
  riddleGuesses.append("Bunnies!");
  riddleGuesses.append("The answer can only be time itself!");
  riddleGuesses.append("A lonesome cowboy?");
  riddleGuesses.append("Um... a river...?");
  riddleGuesses.append("I don't care about your dumb power anyway!");
  riddleGuesses.append("The moon?");
  riddleGuesses.append("Love? Sweet tender love?");
  riddleGuesses.shuffle();

  String[] scenes = {
    "wizard", "monster", "fairy", "villagers"
  };

  //char1 = "villagers"; //for debug purposes
  char1 = scenes[int(random(scenes.length))];
  println("Scene 1: " + char1);
  //char2 = "monster"; //again, for debug
  char2 = scenes[int(random(scenes.length))];
  println("Scene 2: " + char2);
  char3 = scenes[int(random(scenes.length))];
  if (char1 == char2 && char2 == char3) {
    char3 = scenes[int(random(scenes.length))];
  }
  println("Scene 3: " + char3);
  char4 = scenes[int(random(scenes.length))];
  if (char2 == char3 && char3 == char4) {
    char4 = scenes[int(random(scenes.length))];
  }
  println("Scene 4: " + char4);
  char5 = scenes[int(random(scenes.length))];
  if (char3 == char4 && char4 == char5) {
    char5 = scenes[int(random(scenes.length))];
  }
  println("Scene 5: " + char5);
  char6 = scenes[int(random(scenes.length))];
  if (char4 == char5 && char5 == char6) {
    char6 = scenes[int(random(scenes.length))];
  }
  println("Scene 6: " + char6);
  char7 = scenes[int(random(scenes.length))];
  if (char5 == char6 && char6 == char7) {
    char7 = scenes[int(random(scenes.length))];
  }
  println("Scene 7: " + char7);
  char8 = scenes[int(random(scenes.length))];
  if (char6 == char7 && char7 == char8) {
    char8 = scenes[int(random(scenes.length))];
  }
  println("Scene 8: " + char8);
  char9 = scenes[int(random(scenes.length))];
  if (char7 == char8 && char8 == char9) {
    char9 = scenes[int(random(scenes.length))];
  }
  println("Scene 9: " + char9);
  char10 = scenes[int(random(scenes.length))];
  if (char8 == char9 && char9 == char10) {
    char10 = scenes[int(random(scenes.length))];
  }
  println("Scene 10: " + char10);
  char11 = scenes[int(random(scenes.length))];
  println("Scene 11: " + char11);

  charLocation = new StringList();
  charLocation.append("forest");
  charLocation.append("desert");
  charLocation.append("mountains");
  charLocation.append("caves");
  charLocation.shuffle();
  wizardLocation = charLocation.get(0);
  wizardBackground = loadImage(wizardLocation+".jpg");
  monsterLocation = charLocation.get(1);
  monsterBackground = loadImage(monsterLocation+".jpg");
  fairyLocation = charLocation.get(2);
  fairyBackground = loadImage(fairyLocation+".jpg");
  villagersLocation = charLocation.get(3);
  villagersBackground = loadImage(villagersLocation+".jpg");

  charAppearance = new StringList();
  charAppearance.append("sandwich");
  charAppearance.append("dodecahedron");
  charAppearance.append("crab");
  charAppearance.append("poop");
  charAppearance.shuffle();
  wizardAppearance = charAppearance.get(0);
  wizardImage = loadShape(wizardAppearance+".svg");
  monsterAppearance = charAppearance.get(1);
  monsterImage = loadShape(monsterAppearance+".svg");
  fairyAppearance = charAppearance.get(2);
  fairyImage = loadShape(fairyAppearance+".svg");
  villagersAppearance = charAppearance.get(3);
  villagersImage = loadShape(villagersAppearance+".svg");

  println("Characters:");
  println("1: " +wizardAppearance+ " wizard of the " +wizardLocation);
  println("2: " +monsterAppearance+ " monster of the " +monsterLocation);
  println("3: " +fairyAppearance+ " fairy of the " +fairyLocation);
  println("4: " +villagersAppearance+ " villagers of the " +villagersLocation);

  titleScreen = loadFont("TitleScreen.vlw");

  wizard1 = new wizard();
  monster1 = new monster();
  fairy1 = new fairy();
  villagers1 = new villagers();

  size(800, 600);

  shapeMode(CENTER);

  click = false;
  cookie = false;
  helm = false;
  hug = false;
  net = false;
  wizardDead = false;
  monsterDead = false;
  fairyDead = false;
  villagersDead = false;
  wizardCurse = false;
  enslavedVillager = false;
  didOnce = false;
  state = 1;
  textState = 1;
  playerHealth = 3;
  playerDamage = 1;
  wizardHealth = 2;
  monsterHealth = 3;
  fairyHealth = 3;
}

